Retrieve Customer's Info
The request and response for this endpoint is identical to the
GET /customer
request and response defined in SEP-12.
This endpoint allows clients to:
- Fetch the fields the server requires in order to register a new customer via a SEP-12
PUT /customerrequest
If the server does not have a customer registered for the parameters sent in the request, it should return the fields required in the response. The same response should be returned when no parameters are sent.
- Check the status of a customer that may already be registered
This allows clients to check whether the customers information was accepted, rejected, or still needs more info. If the server still needs more info, or the server needs updated information, it should return the fields required.
curl --request GET \
--url https://callback.business-server.exampleanchor.com/customerimport requests
url = "https://callback.business-server.exampleanchor.com/customer"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://callback.business-server.exampleanchor.com/customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://callback.business-server.exampleanchor.com/customer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://callback.business-server.exampleanchor.com/customer"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://callback.business-server.exampleanchor.com/customer")
.asString();require 'uri'
require 'net/http'
url = URI("https://callback.business-server.exampleanchor.com/customer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "d1ce2f48-3ff1-495d-9240-7a50d806cfed",
"status": "ACCEPTED",
"provided_fields": {
"first_name": {
"description": "The customer's first name",
"type": "string",
"status": "ACCEPTED"
},
"last_name": {
"description": "The customer's last name",
"type": "string",
"status": "ACCEPTED"
},
"email_address": {
"description": "The customer's email address",
"type": "string",
"status": "ACCEPTED"
}
}
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"id": "<string>"
}Query Parameters
The ID of the customer as returned in the response of a previous PUT request.
The Stellar or Muxed Account authenticated with the Platform via SEP-10.
The memo value identifying a customer with a shared account, where the shared account is account.
The type of memo used to identify a customer with a shared account.
id, hash, text The type of action the customer is being KYCd for. See the Type Specification documented in SEP-12.
The transaction id with which the customer's info is associated. When information from the customer depends on the transaction (e.g., more information is required for larger amounts)
Defaults to en. Language code specified using ISO 639-1. Human readable descriptions, choices, and
messages should be in this language.
Response
Valid request. Customer either already exists or the customer identified by the parameters is new and must provide the field values described in the response body. Response bodies are identical to the schema defined in SEP-12.
curl --request GET \
--url https://callback.business-server.exampleanchor.com/customerimport requests
url = "https://callback.business-server.exampleanchor.com/customer"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://callback.business-server.exampleanchor.com/customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://callback.business-server.exampleanchor.com/customer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://callback.business-server.exampleanchor.com/customer"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://callback.business-server.exampleanchor.com/customer")
.asString();require 'uri'
require 'net/http'
url = URI("https://callback.business-server.exampleanchor.com/customer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "d1ce2f48-3ff1-495d-9240-7a50d806cfed",
"status": "ACCEPTED",
"provided_fields": {
"first_name": {
"description": "The customer's first name",
"type": "string",
"status": "ACCEPTED"
},
"last_name": {
"description": "The customer's last name",
"type": "string",
"status": "ACCEPTED"
},
"email_address": {
"description": "The customer's email address",
"type": "string",
"status": "ACCEPTED"
}
}
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"id": "<string>"
}